#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Fri May 11 11:09:03 2018
Visualisation of the results imported from the three script files. 

@author: Jerome Stenger
"""
import matplotlib.pyplot as plt
import pandas as pd


X1=pd.read_csv('./saved/Simulated Annealing.csv',header=None,sep=' ')
y1=[X1[1][i] for i in range(len(X1[1]))]
x1=[X1[0][i] for i in range(len(X1[1]))]

X2=pd.read_csv('./saved/Differential Evolution.csv',header=None,sep=' ')
y2=[X2[1][i] for i in range(len(X2[1]))]
x2=[X2[0][i] for i in range(len(X2[1]))]

X3=pd.read_csv('./saved/Mystic Framework.csv',header=None,sep=' ')
y3=[X3[1][i] for i in range(len(X3[1]))]
x3=[X3[0][i] for i in range(len(X3[1]))]


plt.figure(figsize=(9,4))
plt.rc('text', usetex=True)
plt.rc('font', family='serif')
plt.rc('xtick', labelsize=20) 
plt.rc('ytick', labelsize=20) 
plt.ylabel(r'$\inf_{\mu\in\mathcal{A}} \; F_{\mu}(h)$',fontsize=24)
plt.xlabel('h',fontsize=24)
plt.title('Methods Comparison',fontsize=24)

#plot the curve
#plt.plot(x1,y1,marker='.',label='SA')
plt.plot(x2,y2,marker='+',label='DE')
plt.plot(x3,y3,marker='*',label='Mystic')
plt.legend(fontsize=18)

plt.savefig('./saved/'+'Methods Comparison'+'.pgf')